-- vim.options by default
local set = vim.opt

-- indentation related
set.shiftwidth = 4
set.tabstop = 4
set.autoindent = true
set.smartindent = true
set.expandtab = true

-- line numbers
set.number = true

-- appearance
set.ignorecase = true
set.smartcase = true
set.cursorline = true
set.updatetime = 50

-- searching
set.ignorecase = true
set.smartcase = true
set.incsearch = true

-- clipboard
set.clipboard:append("unnamedplus")

-- undo dir
set.swapfile = false
set.backup = false
set.undofile = true
